Bug 802123 - SELinux is preventing /usr/libexec/colord from 'getattr' accesses on the file /home/peque/.local/share/icc/edid-a0cb92a12d76d656622372ac8ab12272.icc.
SELinux is preventing /usr/libexec/colord from 'getattr' accesses on the file...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ebf802396248b1272e427e39d2a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 09:40 EDT by Peque
Modified: 2012-03-12 05:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-12 05:08:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peque 2012-03-11 09:40:58 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.2.9-1.fc16.x86_64
reason:         SELinux is preventing /usr/libexec/colord from 'getattr' accesses on the file /home/peque/.local/share/icc/edid-a0cb92a12d76d656622372ac8ab12272.icc.
time:           Sun 11 Mar 2012 02:40:23 PM CET

description:
:SELinux is preventing /usr/libexec/colord from 'getattr' accesses on the file /home/peque/.local/share/icc/edid-a0cb92a12d76d656622372ac8ab12272.icc.
:
:*****  Plugin restorecon (99.5 confidence) suggests  *************************
:
:If you want to fix the label. 
:/home/peque/.local/share/icc/edid-a0cb92a12d76d656622372ac8ab12272.icc default label should be icc_data_home_t.
:Then you can run restorecon.
:Do
:# /sbin/restorecon -v /home/peque/.local/share/icc/edid-a0cb92a12d76d656622372ac8ab12272.icc
:
:*****  Plugin catchall (1.49 confidence) suggests  ***************************
:
:If you believe that colord should be allowed getattr access on the edid-a0cb92a12d76d656622372ac8ab12272.icc file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep colord /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:colord_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:user_home_dir_t:s0
:Target Objects                /home/peque/.local/share/icc/edid-
:                              a0cb92a12d76d656622372ac8ab12272.icc [ file ]
:Source                        colord
:Source Path                   /usr/libexec/colord
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           colord-0.1.15-2.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-75.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.2.9-1.fc16.x86_64 #1 SMP Thu
:                              Mar 1 01:41:10 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Sat 10 Mar 2012 12:31:54 PM CET
:Last Seen                     Sun 11 Mar 2012 02:38:59 PM CET
:Local ID                      9d3fa867-8329-47ab-9b0c-37b50ef3f6d4
:
:Raw Audit Messages
:type=AVC msg=audit(1331473139.47:106): avc:  denied  { getattr } for  pid=1654 comm="colord" path="/home/peque/.local/share/icc/edid-a0cb92a12d76d656622372ac8ab12272.icc" dev=sda1 ino=389532 scontext=system_u:system_r:colord_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1331473139.47:106): arch=x86_64 syscall=fstat success=yes exit=0 a0=12 a1=7fff69d81b10 a2=7fff69d81b10 a3=238 items=0 ppid=1 pid=1654 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=colord exe=/usr/libexec/colord subj=system_u:system_r:colord_t:s0-s0:c0.c1023 key=(null)
:
:Hash: colord,colord_t,user_home_dir_t,file,getattr
:
:audit2allow
:
:#============= colord_t ==============
:allow colord_t user_home_dir_t:file getattr;
:
:audit2allow -R
:
:#============= colord_t ==============
:allow colord_t user_home_dir_t:file getattr;
:
Comment 1 Miroslav Grepl 2012-03-12 05:08:56 EDT
You will need to fix labeling using

$ restorecon -R -v /home/peque/.local

Note You need to log in before you can comment on or make changes to this bug.